VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
VoiceStatics Class Reference

`#include <note_expression_synth_voice.h>`

## Public Types
enum | { kNumFrequencies = 128 }

## Static Public Member Functions
static double | normalizedLevel2Gain (float normalized)

## Static Public Attributes
static float | freqTab [kNumFrequencies]
static const float | scaleHeadRoom
static const float | scaleNorm2GainC1
static const float | scaleNorm2GainC2
static LogScale< ParamValue > | freqLogScale
static const double | kNormTuningOneOctave = 12.0 / 240.0
static const double | kNormTuningOneTune = 1.0 / 240.0

## Member Enumeration Documentation

anonymous enum

Enumerator
kNumFrequencies |

## Member Function Documentation

static double normalizedLevel2Gain | ( | float | normalized | ) |
| inline static

## Member Data Documentation

float freqTab
| static

const float scaleHeadRoom
| static

Initial value:
=
(float)(pow (10.0, -12.0 / 20.0) * 0.70710677)

const float scaleNorm2GainC1
| static

Initial value:
=
(float)(VoiceStatics::scaleHeadRoom * pow (10.0, 24.0 / 20.0))

const float scaleNorm2GainC2
| static

Initial value:
=
(float)(24.0 / 20.0 / 0.30102999566398119521373889472449)

LogScale< ParamValue > freqLogScale
| static

const double kNormTuningOneOctave = 12.0 / 240.0
| static

const double kNormTuningOneTune = 1.0 / 240.0
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.